#ifndef DMPDATASERVER_H
#define DMPDATASERVER_H

#include <QTcpServer>
#include "dmpcommthread.h"

class DMPDataServer : public QTcpServer
{
    Q_OBJECT
public:
    explicit DMPDataServer(QObject *parent = nullptr);
    void start();

signals:
    void CommData(QString data);
    void DatabaseData(QString sql);
    void getERealtimeValue(QString DeviceCode, QString bstr, QString pointstr, QDateTime t);

public slots:
    void incomingConnection(qintptr socketDescriptor) override;
    void eCommData(QString data);
    void eDatabaseData(QString sql);
    void egetERealtimeValue(QString DeviceCode, QString bstr, QString pointstr, QDateTime t);
};

#endif // DMPDATASERVER_H
